Bug 1312022 - Infiniband devices don't show up under networking in Cockpit
Infiniband devices don't show up under networking in Cockpit
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: cockpit (Show other bugs)
7.2
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Dominik Perpeet
qe-baseos-daemons
: Extras
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 09:29 EST by marc skinner
Modified: 2016-12-13 17:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-13 17:15:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description marc skinner 2016-02-25 09:29:28 EST
Description of problem:

When looking at my system via the Cockpit application, under networking, no Infiniband devices are listed, displayed or monitored.  My current system has 2 active Infiniband devices, ib0 and ib1.  Neither are accounted for.


Version-Release number of selected component (if applicable):

cockpit-0.93-3.el7.x86_64

How reproducible:

I'm running RHEL 7.2.latest with a 2 port Meallanox MT25208 InfiniHost III Ex card configured with IpoB.  Cockpit doesn't display any information about them.


Steps to Reproduce:
1.  Install Cockpit and start
2.  Log into Cockpit and go to Networking tab
3.  Observer zero Infiniband information

Actual results:

Zero Infiniband information displayed/captured/monitored


Expected results:

Both Infiniband devices would be listed/displayed/monitored just like the other networking devices.


Additional info:

example Infiniband ifcfg-ib0 configuration:


DEVICE=ib0
ONBOOT=yes
IPADDR=192.168.X.Y
NETMASK=255.255.255.0
BOOTPROTO=static
NM_CONTROLLED=no
CONNECTED_MODE=yes
MTU=65520
TYPE=InfiniBand
IPV6INIT=no
USERCTL=no


lspci | grep -i infini
01:00.0 InfiniBand: Mellanox Technologies MT25208 InfiniHost III Ex (Tavor compatibility mode) (rev 20)
Comment 2 Marius Vollmer 2016-08-04 10:37:12 EDT
This PR should improve things:

    https://github.com/cockpit-project/cockpit/pull/4825

It doesn't add explicit support for Infiniband, but rather lets Cockpit handle unknown interface types better.  This allows us to show them all, without fear that Cockpit will mess them up too badly.
Comment 3 Dominik Perpeet 2016-12-13 17:15:10 EST
This change went into Cockpit 118 and was released with RHEL 7.3.

Note You need to log in before you can comment on or make changes to this bug.